package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

public enum MenuType implements IBaseEnum{
    /** 主菜单 */
    MAIN(0, "主菜单", SysConstains.STYLE_DEFAULT),
    /** 非主菜单 */
    UNMAIN(1, "非主菜单", SysConstains.STYLE_DEFAULT);
    
    private int value;
    private String desc;
    private String style;

    MenuType(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
	{
		return style;
	}

	public static MenuType getByValue(int value) {
        for (MenuType menuType : MenuType.values()) {
            if (menuType.getValue() == value) {
                return menuType;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (MenuType item : MenuType.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
